Package fr.gouv.vitam.functional.administration.core.reconstruction

# Class ReconstructionServiceImpl

java.lang.Object
fr.gouv.vitam.functional.administration.core.reconstruction.ReconstructionServiceImpl

All Implemented Interfaces:
  `ReconstructionService`

public class ReconstructionServiceImpl extends Object implements ReconstructionService
Reconstrution of Vitam Collections.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReconstructionServiceImpl(VitamRepositoryProvider vitamRepositoryProvider, OffsetRepository offsetRepository, ElasticsearchFunctionalAdminIndexManager indexManager, FunctionalAdministrationReconstructionMetricsCache reconstructionMetricsCache)`
  `ReconstructionServiceImpl(VitamRepositoryProvider vitamRepositoryProvider, RestoreBackupService recoverBackupService, OffsetRepository offsetRepository, ElasticsearchFunctionalAdminIndexManager indexManager, FunctionalAdministrationReconstructionMetricsCache reconstructionMetricsCache)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<org.bson.Document>`
  `agregateAccessionRegisterSummary(Set<String> originatingAgencies, Integer tenant)`
  `void`
  `computeAccessionRegisterSummary(Set<String> originatingAgencies, Integer tenant)`
  `void`
  `reconstruct(FunctionalAdminCollections collection)`
  Reconstrut Vitam collection.
  `void`
  `reconstruct(FunctionalAdminCollections collection, Integer... tenants)`
  purge collection content and reconstruct the content.
  `ReconstructionResponseItem`
  `reconstructAccessionRegister(ReconstructionRequestItem reconstructionItem)`
  Reconstruct a collection

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReconstructionServiceImpl

    public ReconstructionServiceImpl(VitamRepositoryProvider vitamRepositoryProvider, OffsetRepository offsetRepository, ElasticsearchFunctionalAdminIndexManager indexManager, FunctionalAdministrationReconstructionMetricsCache reconstructionMetricsCache)

  - ### ReconstructionServiceImpl

    public ReconstructionServiceImpl(VitamRepositoryProvider vitamRepositoryProvider, RestoreBackupService recoverBackupService, OffsetRepository offsetRepository, ElasticsearchFunctionalAdminIndexManager indexManager, FunctionalAdministrationReconstructionMetricsCache reconstructionMetricsCache)

- ## Method Details

  - ### reconstruct

    public void reconstruct(FunctionalAdminCollections collection, Integer... tenants) throws DatabaseException
    purge collection content and reconstruct the content.
    Specified by:
      `reconstruct` in interface `ReconstructionService`
    Parameters:
      `collection` - the collection to reconstruct.
      `tenants` - the given tenant.
    Throws:
      `DatabaseException` - in case error with database occurs

  - ### reconstructAccessionRegister

    public ReconstructionResponseItem reconstructAccessionRegister(ReconstructionRequestItem reconstructionItem)
    Reconstruct a collection
    Specified by:
      `reconstructAccessionRegister` in interface `ReconstructionService`
    Parameters:
      `reconstructionItem` - request for reconstruction
    Returns:
      response of reconstruction
    Throws:
      `IllegalArgumentException` - invalid input

  - ### reconstruct

    public void reconstruct(FunctionalAdminCollections collection) throws DatabaseException
    Description copied from interface: `ReconstructionService`
    Reconstrut Vitam collection.
    Specified by:
      `reconstruct` in interface `ReconstructionService`
    Parameters:
      `collection` - the collection to reconstruct.
    Throws:
      `DatabaseException` - in case error with database occurs

  - ### computeAccessionRegisterSummary

    public void computeAccessionRegisterSummary(Set<String> originatingAgencies, Integer tenant)

  - ### agregateAccessionRegisterSummary

    public List<org.bson.Document> agregateAccessionRegisterSummary(Set<String> originatingAgencies, Integer tenant)
    Specified by:
      `agregateAccessionRegisterSummary` in interface `ReconstructionService`